{% extends "lab_10/layout/base.html" %}

{% block content %}
<style>

table {
    border-collapse: separate;
    border-spacing: 15px;
}

</style>
<div class="row">
   
	<div class="table">
            <table class="table">
                <td>
					<img src="{{ movie.poster }}" alt="{{ movie.title }}">
                </td>
				<td>
					<table>
						<tr><h2><b>{{ movie.title}}</b> ({{ movie.rated }}) </h2></tr>
						<tr><h3><em>{{ movie.genre}}</em></h3></tr>
						<hr>
						<tr>
							<p><em>Produced by: </em> {{ movie.production }}</p>
							
						</tr>
						<tr>
							<td><p style="font-size:20px">Duration </p> {{ movie.runtime }} </td>
							<td><p style="font-size:20px">Directed by </p> {{ movie.director }} </td>
						</tr>
						
						<tr>
							<td><p style="font-size:20px">Rating </p> 
							{%for rating in movie.ratings%}
								<p>
									{{rating.Source}}: {{rating.Value}}
								</p>
								<p> 
							{%endfor%}
							</td>
							<td><p style="font-size:20px">Written by </p> {{ movie.writer }} </td>
						</tr>
					</table>
				</td>
            </table>
        </div>
		
		<div class="plot">
			<p><big><em> {{ movie.awards }} </em></big></p>
			<p>Released in {{movie.country}} on {{movie.released}}</p>
			<br>
			<p> {{ movie.plot }} </p>
		</div>
    <br>
    <div class="box">
        {% if added %}
        <button class="btn btn-success"> Added to Watch Later </button>
        {% else %}
        <a href="{% url 'lab-10:add_watch_later' id %}" class="btn btn-warning"> Add to Watch Later </a>
        {% endif%}
    </div>
	

</div>
{% endblock %}
